<?php
session_start();
if(!isset($_SESSION["uid"])){
	header("Location: /login");
	die();
}

include("include/header.php");
include("include/settings.php");

$db = new SQLite3('ask.db');

$p_user = $db->query("SELECT * FROM users WHERE username = '" . $_GET["q"] . "';")->fetchArray(SQLITE3_ASSOC);
//var_dump($p_user);

?>
<!DOCTYPE html>
<html>
<head>

<title>Config | LibreCat</title>
<?php include("themes/$theme_name/config.php"); ?>

</head>
<body>
	<div class="main-container">
		<h1 class="title">Config</h1>
		
		<div class="section">
		<h2>Account settings (WIP, doesn't work)</h2>
		<form>
			<p>Username</p>
			<input label="name" type="text"/>
			<p>Name</p>
			<input label="username" type="text"/>
			<p>Profile photo</p>
			<input type="file"/>
		</form>
		</div>

		<div class="section">
		<h2>Posting to Twitter</h2>
		<p>
			For now this section is under construction, but
			I have activated it to log vinculate accounts with
			Twitter.
		</p>
		</div>
		
<?php
if(!$db->querySingle("SELECT tw_oauth_verify FROM users where id = " . $_SESSION["uid"] . ";")){
	echo "<p><a href='/action/tw-login.php'>Login with Twitter</a></p>";
}
else{
	echo "<p><a href='/action/tw-post-sample'>Post test tweet</a></p>";
	echo "<br/>";
	echo "</p><a href='/action/tw-unlink.php'>Unlink account</a></p>";
}
?>
	</div>
</body>
</html>
